/* pmdb_reorganize.c, Copyright (c) 1995, Doug Hoffman
 * 
 * Program: pmdb_reorg.c
 * Author : Doug Hoffman, hoffman@cybernetics.com
 * Purpose: function to reorganize the pm database.
 * Created: Wed May  3 16:14:35 1995 by hoffman
 * Revised: Wed Oct 25 23:19:37 1995 by r.faith@ieee.org
 * 
 * Disclaimer:
 * 
 *   Copyright (c) 1995, Doug Hoffman
 *   This program comes with ABSOLUTELY NO WARRANTY.
 * 
 *   This program is free software; you can redistribute it and/or modify it
 *   under the terms of the GNU General Public License as published by the
 *   Free Software Foundation; either version 2, or (at your option) any
 *   later version.
 * 
 *   This program is distributed in the hope that it will be useful, but
 *   WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *   General Public License for more details.
 * 
 *   You should have received a copy of the GNU General Public License along
 *   with this program; if not, write to the Free Software Foundation, Inc.,
 *   675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * Abstract:
 * 
 * Description:
 * 
 * Modification History:
 * 
 * $Log: reorganize.c,v $
 * Revision 1.2  1995/10/28 01:20:53  faith
 * Performance analysis and improvements
 *
 * Revision 1.1  1995/05/13  18:06:59  hoffman
 * Initial revision
 *
 * 
 */

#include "pmdb.h"

/* =============== pmdb_reorg
 *
 *  Function to close the datafiles for the pmdb
 *  database system. 
 *
 */

int pmdb_reorganize( void )
{
   int i;

   for (i = 0; i < PMDB_FILE_COUNT; i++)
      if (PMDBFile[i].gdbmFile) gdbm_reorganize( PMDBFile[i].gdbmFile );
    
   return 0;
} /* end pmdb_reorg */
